package com.ejie.ab63.model.nora;

/**
 * * T17Localidad  
 * 
 *  
 */

public class T17Localidad implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private String dsO;
	private String municipioId;
	private String provinciaId;
	private Long entidadId;

	/**
	 * Method 'T17Localidad'.
	 * 
	 */
	public T17Localidad() {
	}

	/**
	 * Method 'T17Localidad'.
	 * 
	 * @param id
	 *            Long
	 * @param dsO
	 *            String
	 * @param municipioId
	 *            String
	 * @param provinciaId
	 *            String
	 * @param entidadId
	 *            Long
	 */
	public T17Localidad(String id, String dsO, String municipioId, String provinciaId, Long entidadId) {

		this.id = id;
		this.dsO = dsO;
		this.municipioId = municipioId;
		this.provinciaId = provinciaId;
		this.entidadId = entidadId;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return Long
	 */

	public String getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            Long
	 */

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Method 'getDsO'.
	 * 
	 * @return String
	 */

	public String getDsO() {
		return this.dsO;
	}

	/**
	 * Method 'setDsO'.
	 * 
	 * @param dsO
	 *            String
	 */

	public void setDsO(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * Method 'getMunicipioId'.
	 * 
	 * @return String
	 */

	public String getMunicipioId() {
		return this.municipioId;
	}

	/**
	 * Method 'setMunicipioId'.
	 * 
	 * @param municipioId
	 *            String
	 */

	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * Method 'getProvinciaId'.
	 * 
	 * @return String
	 */

	public String getProvinciaId() {
		return this.provinciaId;
	}

	/**
	 * Method 'setProvinciaId'.
	 * 
	 * @param provinciaId
	 *            String
	 */

	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * Method 'getEntidadId'.
	 * 
	 * @return Long
	 */

	public Long getEntidadId() {
		return this.entidadId;
	}

	/**
	 * Method 'setEntidadId'.
	 * 
	 * @param entidadId
	 *            Long
	 */

	public void setEntidadId(Long entidadId) {
		this.entidadId = entidadId;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ id: ").append(this.id).append(" ]");
		result.append(", [ dsO: ").append(this.dsO).append(" ]");
		result.append(", [ municipioId: ").append(this.municipioId).append(" ]");
		result.append(", [ provinciaId: ").append(this.provinciaId).append(" ]");
		result.append(", [ entidadId: ").append(this.entidadId).append(" ]");
		result.append("}");
		return result.toString();
	}

}
